#ifndef DIRECTORIES_H
#define DIRECTORIES_H

#include "baseconfig.h"

extern QString importPath;
extern QString exportPath;
extern QString templatesPath;


namespace Ui {
class directoriesConfig;
}

class directoriesConfig : public baseConfig
{
  Q_OBJECT
  
public:
  explicit directoriesConfig(QWidget *parent = 0);
  ~directoriesConfig();
  void readSettings();
  void writeSettings();
  void getParams();
  void setParams();

private slots:
  void slotBrowseImportPath();
  void slotBrowseExportPath();
  void slotBrowseTemplatesPath();
  void slotFontSelect();
  
private:
  Ui::directoriesConfig *ui;
};

#endif // DIRECTORIES_H
