#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class configDialog;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
  Q_OBJECT

public:
  explicit MainWindow(QWidget *parent = 0);
  ~MainWindow();
private slots:
  void slotConfigure();
  void slotExit();
  void slotProcess();
  void slotSave();
  void slotAboutQt();
  void slotAboutA2C();

private:
  Ui::MainWindow *ui;
  void readSettings();
  void writeSettings();
  configDialog *configDialogPtr;
};

#endif // MAINWINDOW_H
