#-------------------------------------------------
#
# Project created by QtCreator 2015-02-13T12:54:05
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = adif2cabrillo
TEMPLATE = app
INCLUDEPATH += config utils


SOURCES += main.cpp\
        mainwindow.cpp \
    headerinfoform.cpp \
    utils/supportfunctions.cpp \
    templateform.cpp \
    adif.cpp \
    config/baseconfig.cpp \
    config/configdialog.cpp \
    config/directoriesconfig.cpp \
    utils/dirdialog.cpp \
    appglobal.cpp

HEADERS  += mainwindow.h \
    headerinfoform.h \
    utils/supportfunctions.h \
    templateform.h \
    adif.h \
    config/baseconfig.h \
    config/configdialog.h \
    config/configparams.h \
    config/directoriesconfig.h \
    utils/dirdialog.h \
    appglobal.h

FORMS    += mainwindow.ui \
    headerinfoform.ui \
    config/configdialog.ui \
    config/directoriesconfig.ui

RESOURCES += \
    a2cresource.qrc


#VERSION = $$system(svn info -r HEAD . | grep 'Changed\ Rev' | cut -b 19-)
#    !isEmpty(VERSION){
#      VERSION = $${VERSION}
#    }

#VERSTR = '\\"$${VERSION}\\"'  # place quotes around the version string
#    DEFINES += BUILDVER=\"$${VERSTR}\" # create a VER macro containing the version string

CONFIG(debug ,debug|release){
dox.commands = cd $$PWD/Documentation/manual ;doxygen  manual.doxy;
dox.depends= FORCE
PRE_TARGETDEPS       +=    dox
message(dox will be generated)
}
dox.path=/usr/share/doc/$$TARGET
dox.files= $$PWD/manual/*
QMAKE_EXTRA_TARGETS   +=   dox

OTHER_FILES += \
    Documentation/manual.txt \
    Documentation/a2c.css \
    Documentation/images/bsr_nfy.png \
    Documentation/manual/manual.doxy \
    Documentation/manual/manual.txt \
    Documentation/manual/images/a2c.png \
    Documentation/manual/images/config.png \
    Documentation/manual/images/output.png \
    Documentation/manual/images/header.png \
    Documentation/manual/images/template.png \
    Documentation/manual/a2c.css

target.path = /usr/local/bin
INSTALLS += target dox
