#include "configdialog.h"
#include "ui_configdialog.h"

configDialog::configDialog(QWidget *parent) :
  QDialog(parent),
  ui(new Ui::configDialog)
{
  ui->setupUi(this);
}

configDialog::~configDialog()
{
  delete ui;
}

void configDialog::readSettings()
{
  ui->directoryWidget->readSettings();
 }

void configDialog::writeSettings()
{
  ui->directoryWidget->writeSettings();
}

/**
    Opens the configuration dialog
*/

int configDialog::exec()
{
  if(QDialog::exec())
  {
    writeSettings();
    return QDialog::Accepted;
  }
  else
  {
    return QDialog::Rejected;
  }
}

