#ifndef HEADERINFOFORM_H
#define HEADERINFOFORM_H

#include <QWidget>
#include <QLineEdit>


extern QString callsign;
//extern QString categoryAssisted;
//extern QString categoryBand;
//extern QString categoryMode;
//extern QString categoryOperator;
//extern QString categoryPower;
//extern QString categoryStation;
//extern QString categoryTime;
//extern QString categoryTransmitter;
//extern QString categoryOverlay;
//extern QString certificate;
//extern QString claimedScore;
//extern QString club;
//extern QString email;
//extern QString location;
//extern QString name;
//extern QString address;
//extern QString city;
//extern QString stateProvince;
//extern QString postalCode;
//extern QString country;
//extern QString operators;
//extern QString offtime;
//extern QString soapbox;

class QComboBox;

enum einputType {INONE,ICOMBO,ILINE,ISPIN};

struct stag
{
  QString tag;
  QString *options;
};

namespace Ui {
class headerInfoForm;
}

class headerInfoForm : public QWidget
{
  Q_OBJECT

public:
  explicit headerInfoForm(QWidget *parent = 0);
  ~headerInfoForm();
  QStringList outputHeaders();
  void writeSettings();

private:
  QStringList headerText;
  Ui::headerInfoForm *ui;
  void setupComboBoxes();
  void addComboBoxItem(QComboBox *cmbPtr,QString listPtr[]);
  void addLineEditText(QString label, QLineEdit *lePtr);
  void addComboText(QString label, QComboBox *cbPtr);
  void addString(QString label,QString content);
  void readSettings();

  void getParams();
  void setParams();

};

#endif // HEADERINFOFORM_H
